Skip to content

Switch Tenant

POST
/api/v1/auth/switch-tenant
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/auth/switch-tenant \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
SwitchTenantRequest
object
tenant_id
required
Tenant Id
string format: uuid
Examplegenerated
{
"tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Successful Response

Media typeapplication/json
TokenPair

An access/refresh token pair returned after authentication.

Attributes: access_token: The short-lived JWT access token. refresh_token: The long-lived JWT refresh token. token_type: The token scheme (always "bearer"). expires_in: Seconds until the access token expires.

object
access_token
required
Access Token
string
expires_in
required
Expires In
integer
refresh_token
required
Refresh Token
string
token_type
Token Type
string
default: bearer
Example
{
"token_type": "bearer"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}